学习
实践
活动
专区
工具
TVP
写文章

网站漏洞检测 之网站后台webshell漏洞

临近9月底,seacms官方升级海洋cms系统到9.95版本,我们SINE安全在对其源码进行网站漏洞检测的时候发现问题,可导致全局变量被覆盖,后台可以存在越权漏洞并绕过后台安全检测直接登录管理员账号。 我们SINE安全工程师对该代码进行了详细的安全审计,在一个变量覆盖上发现了漏洞,一开始以为只有这一个地方可以导致网站漏洞的发生,没成想这套系统可以导致全局性的变量覆盖发生漏洞,影响范围较大,seacms 关于海洋CMS的网站漏洞检测,以及整个代码的安全审计,主要是存在全局性的变量覆盖漏洞,以及后台可以写入恶意的php语句拼接成webshell漏洞。 关于网站的漏洞修复建议网站运营者升级seacms到最新版本,定期的更换网站后台地址,以及管理员的账号密码,对安全不是太懂的话,也可以找专业的网站安全公司来处理,修复网站的漏洞,国内SINE安全,启明星辰 ,绿盟,都是比较不错的,网站代码时时刻刻都存在着安全漏洞,能做到的就是及时的对代码进行更新补丁,或者定期的对网站进行渗透测试,网站漏洞测试,确保网站安全稳定的运行。

1.5K00
  • 广告
    关闭

    新年·上云精选

    热卖云产品新年特惠,2核2G轻量应用服务器9元/月起,更多上云必备产品助力您轻松上云

  • 您找到你想要的搜索结果了吗?
    是的
    没有找到

    网站漏洞检测对php注入漏洞防护建议

    近日,我们SINE安全对metinfo进行网站安全检测发现,metinfo米拓建站系统存在高危的sql注入漏洞,攻击者可以利用该漏洞对网站的代码进行sql注入攻击,伪造恶意的sql非法语句,对网站的数据库 ,以及后端服务器进行攻击,该metinfo漏洞影响版本较为广泛,metinfo6.1.0版本,metinfo 6.1.3版本,metinfo 6.2.0都会受到该网站漏洞的攻击。 关于该metinfo漏洞的分析,我们来看下漏洞产生的原因: 该漏洞产生在member会员文件夹下的basic.php代码文件: metinfo独有的设计风格,使用了MVC框架进行设计,该漏洞的主要点在于使用了 ,以及安全方案 目前metinfo最新版本发布是2019年3月28日,6.2.0版本,官方并没有针对此sql注入漏洞进行修复,建议网站的运营者对网站的后台地址进行更改,管理员的账号密码进行更改,更改为数字 +字符+大小写的12位以上的组合方式,对网站的配置文件目录进行安全限制,去掉PHP脚本执行权限,如果自己对代码不是太熟悉,建议找专业的网站安全公司来处理修复漏洞,国内SINE安全,以及绿盟,启明星辰,都是比较不错的网站漏洞修复公司

    75650

    SQL 注入漏洞检测与利用

    表单提交或输入域名或页面请求的查询字符串,最终达到欺骗服务器执行恶意的SQL命令,它是利用现有应用程序将(恶意的)SQL命令注入到后台数据库引擎执行的能力,它可以通过在Web表单中输入SQL语句得到一个存在安全漏洞的网站上的数据库 还可以得到当前数据库的相关信息,这是开发人员所没有想到的,以上只是一个简单的SQL注入的例子.从根本上讲,当开发人员对用户的输入过滤不严,造成了用户可以通过输入SQL语句控制数据库,就会产生SQL注入漏洞 简而言之,基于字符型的SQL注入即存在SQL注入漏洞的URL参数为字符串类型(需要使用单引号表示),字符型SQL注入的关键就是单引号的闭合,例如以下几个例子: select * from tables username=lyshark ◆字符注入技巧◆ 检测注入点: 字符型的检测方式与整数型差不多,但需要对数据进行SQL语句的手动闭合,如下所示. index.php? id=1 and if(hex(mid(user(),1,1))=118,sleep(3),1) # // 第2个字符=v则延时3秒 SQLMap基本命令(拓展) 检测命令: sqlmap -u "

    4620

    使用Centrifuge平台检测固件漏洞

    最近,针对TP-Link WL-WA850RE WiFi Range Extender 发布的漏洞引起了我们的注意,并对其进行了进一步调查。 我们使用固件映像的这些日子做的第一件事就是把它扔进了Centrifuge平台执行自动固件提取和漏洞分析。 事实上,在今年早些时候发布的单独漏洞报告中已经发现了无需身份验证即可检索config.bin文件的功能。 该漏洞报告指出,虽然可以检索配置文件,但它是加密的,并且不提供解密它的建议或解决方案。 事实上,原始的命令注入漏洞利用相同的散列序列来进行开发之前的身份验证,所以如果您已经检查过该代码,那么这应该不足为奇。 开发脚本 为了证明这个问题的严重性并向实际可利用的供应商证明,我们开发了一个用Python编写的概念验证漏洞

    67620

    使用Nmap脚本检测CVE漏洞

    这两个脚本旨在通过为特定服务(如SSH,RDP,SMB等)生成相关的CVE信息来增强Nmap的版本检测。 CVE或Common Vulnerabilities and Exposures是安全研究人员使用的一种方法,可利用数据库对各个漏洞进行编目和引用。 例如,漏洞利用数据库是公开披露漏洞的流行数据库。 Exploit-DB使用CVE编制与特定版本的服务(如“SSH v7.2”)相关联的各个漏洞漏洞。以下是Exploit-DB网站上可能利用的截图…请注意分配给此特定SSH漏洞的CVE编号。 nmap-vulners和vulscan都使用CVE记录来增强Nmap的版本检测。Nmap将识别扫描服务的版本信息。 NSE脚本将获取该信息并生成可用于利用该服务的已知CVE,这使得查找漏洞变得更加简单。 下面是不使用NSE脚本的Nmap版本检测示例。

    1.2K10

    网站安全检测之逻辑漏洞检测 修复方案

    ,发现网站的业务逻辑漏洞很多,尤其暴利破解漏洞。 网站安全里的用户密码暴利破解,是目前业务逻辑漏洞里出现比较多的一个网站漏洞,其实暴力破解简单来说就是利用用户的弱口令,比如123456,111111,22222,admin等比较常用的密码,来进行猜测并尝试登陆网站进行用户密码登陆 在我们SINE安全对客户网站漏洞检测的同时,我们都会去从用户的登录,密码找回,用户注册,二级密码等等业务功能上去进行安全检测,通过我们十多年来的安全检测经验,我们来简单的介绍一下。 验证码破解与绕过,在整个网站安全检测当中很重要,一般验证码分为手机短信验证码,微信验证码,图片验证码,网站在设计过程中就使用了验证码安全机制,但是还是会绕过以及暴利破解,有些攻击软件会自动的识别验证码, 关于网站出现逻辑漏洞该如何修复漏洞呢?

    63920

    CMS漏洞检测工具 - CMSmap

    CMSmap是一个Python编写的针对开源CMS(内容管理系统)的安全扫描器,它可以自动检测当前国外最流行的CMS的安全漏洞。 CMSmap主要是在一个单一的工具集合了不同类型的CMS的常见的漏洞。 主要功能 1.其可以检测目标网站的cms基本类型,CMSmap默认自带一个WordPress,Joomla和Drupal插件列表,所以其也可以检测目标网 站的插件种类; 2.Cmsmap是一个多线程的扫描工具 ,默认线程数为5; 3.工具使用比较简单,命令行的默认的强制选项为target URL; 4.工具还集成了暴力破解模块; 5.CMSmap的核心是检测插件漏洞,其主要是通过查询数据库漏洞网站(www.exploit-db.com )提供了潜在的漏洞列表。 Cmsmap检测到一个可以上传插件的用户的标示(可能是admin),cmsmap就会上传一个webshell。下图可能cmsmap的wp插件安装列表: ?

    2.5K70

    WordPress网站漏洞检测漏洞修复解决方案

    2019年正月刚开始,WordPress最新版本存在远程代码注入获取SHELL漏洞,该网站漏洞影响的版本是wordpress5.0.0,漏洞的产生是因为image模块导致的,因为代码里可以进行获取目录权限 通过外界公布的漏洞细节详情,我们通过安全分析发现,漏洞主要是在wordpress上传图片这里,看了下代码post meta参数值并没有过滤,导致可以修改WP博客的数据库标段,在文件包含嵌入本地文件地址的时候可以跨目录的修改参数 wordpress漏洞总结 该网站漏洞的发生,仅仅存在于wordpress5.0.0版本,其他版本不受该漏洞的影响,主要发生原因是裁剪图片功能存在注入,导致可以远程读取图片,可以将恶意的代码图片文件写入到网站的根目录下 ,最后利用文件包含的漏洞来生成SHELL获取网站的最高权限。 关于wordpress网站漏洞的修复建议,网站的运营者尽快升级wordpress版本到最新版本,不要再使用5.0.0版本,对网站的补丁及时的登录后台进行更新,如果网站已遭受到攻击,建议立即对网站进行木马文件的检测与清除

    73410

    网站安全漏洞检测对discuz论坛漏洞详情

    近期我们SINE安全在对discuz x3.4进行全面的网站渗透测试的时候,发现discuz多国语言版存在远程代码执行漏洞,该漏洞可导致论坛被直接上传webshell,直接远程获取管理员权限,linux discuz漏洞影响范围:discuz x3.4 discuz x3.3 discuz x3.2,版本都受该网站漏洞的影响,漏洞产生的原因是在source目录下function文件夹里function_core.php 代码里的cookies与语言language参数值并没有详细的进行安全过滤与检测,导致可以插入恶意的代码到数据库,并远程执行恶意代码,可获取webshell权限。 discuz漏洞分析 我们来看下刚才产生漏洞的代码,在第535行往下看,有一段代码是这样写的,默认网站系统将缓存数据存储在data文件夹里的template目录中,缓存文件名的命名是由前面的discuz_lang 参数进行控制来命令的,漏洞产生的原因就在这里。

    1K20

    网站漏洞修复 短息轰炸漏洞检测与修补方案

    很多公司网站的被攻击,被篡改,都是存在着网站漏洞隐患的,也有很多客户找到我们SINE安全公司,对自己公司网站进行渗透测试服务,以及网站的安全检测漏洞检测整体的安全服务,我们SINE安全在日常对客户网站进行安全渗透的同时 ,发现都存在着手机号任意发短信的漏洞,简单来讲就是短信轰炸漏洞。 那么在快捷,方便的需求下,网站的漏洞就会被忽视,从而被攻击者利用并进行恶意攻击,同行之家的竞争等等,都可以使用短信轰炸漏洞来使对方造成严重的损失。 当网站出现短信轰炸漏洞的时候用户会觉得这个网站给他带来了骚扰,不停的发送短信,让用户反感至极。那么如何检测网站存在这个业务逻辑漏洞呢? 以上就是关于网站漏洞修复的方案与办法,如果您对网站漏洞修复不是太懂的话,也可以找专业的网站安全公司处理,国内SINESAFE,启明星辰,绿盟都是比较不错的安全公司,对网站的漏洞检测与渗透测试一定要人工的去检测

    1.6K10

    网站漏洞检测 wordpress sql注入漏洞代码审计与修复

    wordpress系统本身代码,很少出现sql注入漏洞,反倒是第三方的插件出现太多太多的漏洞,我们SINE安全发现,仅仅2019年9月份就出现8个插件漏洞,因为第三方开发的插件,技术都参差不齐,对安全方面也不是太懂导致写代码过程中没有对 sql注入,以及xss跨站进行前端安全过滤,才导致发生sql注入漏洞。 ,关于该网站漏洞的详情我们SINE安全来详细的给大家分析一下:看下图的代码 在前端进行输入的时候,可以插入恶意的sql注入代码,如果后端没有对前端输入进来的参数值进行安全过滤拦截,那么就会导致sql注入漏洞的发生 截图如下: give插件,也存在漏洞漏洞产生的原因是includes目录下的donors文件夹里的class-give-donors-query.php代码,在获取订单的函数中,没有对其order ,定期对网站代码进行安全检测,检查是否存在网站木马后门,以及webshell文件,对插件目录可以设置安全权限部署,防止恶意篡改,对wordpress的后台登录做安全验证,仅仅使用账户密码还不行,还要使用另外一种方式进行验证

    76520

    网站漏洞检测 squid反向代理存在远程代码执行漏洞

    在对网站进行渗透测试的时候,发现很多网站都在使用squid反向代理系统,该系统存在可以执行远程代码的漏洞,很多客户找我们SINE安全做渗透测试服务的同时,我们会先对客户的网站进行信息搜集工作,包括域名, 关于squid系统漏洞检测,我们来详细的介绍一下: squid是开源的一套网站反向代理系统,可以对网站进行加速,缓存,有些网站访问较慢,就会在国内的服务器节点做反向代理,加速网站的快速访问,将图片, 漏洞的利用方式是,构造恶意的代码,使用FTP协议的方式进行请求 request-uri,将代码加密,提交到服务器中去,就可以达到渗透服务器的权限。 到网站的根目录下,从而对网站进行控制,该webshell也叫网站木马后门,相当于网站的管理员权限,可以写入文件,修改文件,修改数据库等操作,通过对客户网站的渗透测试发现,导致被篡改的问题根源,是squid系统存在漏洞 ,随即我们SINE安全对客户的squid漏洞进行了修复,对代码的长度进行了限制,防止溢出,并对所有的请求包括get,post.cookies的请求都进行了字符长度限制。

    48820

    burpsuite检测xss漏洞 burpsuite实战指南

    根据请求参数和响应消息的不同,在XSS检测中使用最多的就是动态检测技术:以编程的方式,分析响应报文,模拟页面点击、鼠标滚动、DOM 处理、CSS 选择器等操作,来验证是否存在XSS漏洞。 本章包含的内容有: XSS漏洞的基本原理 PhantomJS在XSS检测中的使用原理 使用XSS Validator插件进行XSS漏洞检测 XSS漏洞的基本原理 一般来说,我们可以通过XSS漏洞的表现形式来区分漏洞是反射型 ---- 使用XSS Validator插件进行XSS漏洞检测 上一节我们熟悉了phantomJS检测xss的基本原理,现在我们一起来看看XSS Validator插件的使用。 XSS Validator插件的安装依旧是可以通过BApp Store安装和手工安装两种方式,手工安装需要下载源码进行编译,这里提供项目的github地址,https://github.com/nVisium 如果你如上图中所示的设置,则可以启动Intruder进行检测了。在检测过程中,我们会看到控制台输出很多日志信息,根据我们的配置,输出alert信息的表示payload检测出存在xss漏洞

    4.3K20

    渗透测试 Java架构执行漏洞检测

    近期对平台安全渗透测试中遇到有JAVA+mysql架构的网站,针对此架构我们Sine安全渗透工程师整理了下具体的漏洞检测方法和防护修复方法,很多像执行框架漏洞获取到系统权限,以及跨权限写入木马后门等等操作 历史漏洞 CVE-2016-7401 CSRF Bypass CVE-2017-7233/7234 Open redirect vulnerability CVE-2017-12794 debug page 配置相关 Nginx 在为 Django 做反向代理时,静态文件目录配置错误会导致源码泄露。访问 /static.. 会 301 重定向到 /static../ 4.2.4.2. 网站漏洞修复和防护 ? 4.3.5.8.1. 类重写 checkInput方法来实现自定义的过滤器,并使用 ObjectInputStream 对象的 setObjectInputFilter 设置过滤器来实现反序列化类白/黑名单控制,对JAVA漏洞渗透测试有想进一步了解的可以咨询专业的网站安全公司

    84330

    工具分享 | shiro漏洞检测RCE工具

    0x00 前言 最近在做shiro反序列化漏洞复现,从网上也找了一堆复现文章和工具,但是这些工具用着都不太舒服,于是参考网上大佬们的工具,自己进行了一些简单的改良。 h] [-k] <key> [-t] <token> (-u) <url> 1、漏洞检测 该功能需要你有一个http://ceye.io/的账号,在http://ceye.io/profile页面,找到自己的 使用 -t 和 -c 参数配合使用,即可调用默认key字典进行检测。 bash反弹shell命令,将会自动对命令进行编码,无需自己编码,避免了明明存在漏洞却因为编码问题而反弹不了shell的尴尬。 0x03 注意事项 本程序需要 python3 环境以及 java环境 在进行漏洞检测时,-c 指定 ping 的 URL 和 -t 指定的 token 需要是同一 ceye 账户的。

    2.5K20

    关注

    腾讯云开发者公众号
    10元无门槛代金券
    洞察腾讯核心技术
    剖析业界实践案例
    腾讯云开发者公众号二维码

    相关产品

    • 漏洞扫描服务

      漏洞扫描服务

      漏洞扫描服务是用于网站漏洞监测的安全服务,为企业提供7×24小时准确、全面的漏洞监测服务,并为企业提供专业的修复建议, 从而避免漏洞被黑客利用,影响企业资产安全…

    相关资讯

    热门标签

    活动推荐

    扫码关注腾讯云开发者

    领取腾讯云代金券